"use server"

import prisma from "@/lib/prisma";

export async function updateCommissionTypeSortOrder(
  ordered: { id: string; sortIndex: number }[]
) {
  const updates = ordered.map(({ id, sortIndex }) =>
    prisma.commissionType.update({
      where: { id },
      data: { sortIndex },
    })
  )

  await Promise.all(updates)
}